#!/usr/bin/env bash
#bash script     : developers.es
#apps            : Developers Functions Library
#description     : Translate Messages (es)
#author		     : MRP/mrp - Mauro Rosero P.
#company email   : mauro@rosero.one
#personal email  : mauro.rosero@gmail.com
#date            : 20241130
#version         : 1.0.2
#notes           :
#==============================================================================
#==============================================================================


gpmsg_000="INICIALIZAR GPG"
gpmsg_001="RESTAURAR BACKUP DE PERFIL"

gpmsg_101="Desea inicializar la configuración de GPG?"
gpmsg_102="Configuración GPG inicializada!"
gpmsg_103="Plantilla de configuración GPG no existe!"
gpmsg_104="Desea realizar una copia de seguridad GPG?"
gpmsg_105="Desea realizar copia de seguridad para el desarrollador"
gpmsg_106="Copia de seguridad de claves GPG completada!"
gpmsg_107="Archivo de configuración GPG no fue encontrado!"
gpmsg_108="Carpeta de copia de seguridad local no existe"
gpmsg_109="Contraseña del archivo ZIP no fue suministrada"
gpmsg_110="Base de Datos SQLITE3 no fue suministrada"
gpmsg_111="Archivo de Base de Datos SQLITE3 no existe!"
gpmsg_112="Carpeta temporal de Backup no fue suministrada"
gpmsg_113="Desea restaurar la copia de seguridad"
gpmsg_114="Restauración de copia de seguridad completada satisfactoriamente!"

dvmsg_101_0="Versión"
dvmsg_101_1="Uso:"
dvmsg_101_2="<developer zipfile> [--help] [--version]"
dvmsg_102="Descripción: Este bash script restaura una copia de seguridad de perfil de desarrollador"
dvmsg_103="             donde <developer zipfile> es argumento obligatorio y corresponde a la copia"
dvmsg_104="             de seguridad en formato zip."
dvmsg_105="Opciones:"
dvmsg_106="  --help     Muestra este mensaje de ayuda."
dvmsg_107="  --version  Muestra la versión del script."

# Mensajes para cversadm_token.sh
cvmsg_000="ADMINISTRADOR DE TOKENS DE CONTROL DE VERSIONES"
cvmsg_001="Seleccione plataforma de control de versiones"
cvmsg_002="Elija la plataforma para la que desea configurar el token de acceso"
cvmsg_003="Token de acceso"
cvmsg_004="Introduzca el token de acceso personal para"
cvmsg_005="El token se utilizará para operaciones de autenticación"
cvmsg_006="Token guardado correctamente para"
cvmsg_007="Error al guardar el token para"
cvmsg_008="Carpeta de configuración creada:"
cvmsg_009="Seleccione una opción"
cvmsg_010="Github"
cvmsg_011="Gitlab"
cvmsg_012="Forgejo"
cvmsg_013="SOPS no está instalado"
cvmsg_014="Por favor, ejecute bin/bootstrap.sh para instalar las herramientas necesarias."
cvmsg_015="El token no puede estar vacío. Por favor ingrese un token válido."
cvmsg_016="El token parece ser demasiado corto. Verifique que haya copiado el token completo."
cvmsg_017="El token contiene caracteres no estándar. Verifique que sea correcto."

# Mensajes para qr_secret.sh
qrmsg_000="EXTRACTOR DE SECRETOS QR"
qrmsg_001="Nombre del archivo"
qrmsg_002="Ingrese un nombre para el archivo (solo letras, números, ., - y _)"
qrmsg_003="Seleccione una imagen QR"
qrmsg_004="El nombre no puede estar vacío."
qrmsg_005="El nombre no puede contener espacios."
qrmsg_006="El nombre solo puede contener letras, números, ., - y _."
qrmsg_007="No se pudo extraer el secreto de la imagen QR seleccionada."
qrmsg_008="Secreto guardado correctamente en"
qrmsg_009="No se pudo guardar el secreto encriptado."
qrmsg_010="Operación cancelada por el usuario."
qrmsg_011="Éxito"
qrmsg_012="Error"
qrmsg_013="Dialog no está instalado"
qrmsg_014="Zbar no está instalado"

